PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

November 16, 2010 // 3:16 am - A few days back an FLA file and some instructions were posted to compliment the previously released update software for the PSJailBreak Team's PSDowngrade product, and today the PS JailBreak downgrade files have been leaked through a nice but anonymous source on IRC.

Download: PS JailBreak Downgrade Files (167 MB - 175,619,467 bytes) Mirror #1 / Mirror #2 / Mirror #3 / Mirror #4 / Mirror #5 / Mirror #6

Currently work is being done towards a free public PS3 downgrader alternative to the pay version, and based on a preliminary examination of the leaked PS Downgrader 3.41 PUP and Lv2diag.self files they appear to include a modified PUP along with the official Sony PlayStation 3 JIG Files that were also leaked nearly two years ago.

Usually JIG files use a special PUP to downgrade as inside its CORE_OS package is flagged for downgrading, however, this is not the case. It seems that the PUP has been modified to allow downgrading, perhaps via another yet undisclosed exploit... Time will tell for sure!

PS JailBreak Downgrade Files Leaked, PS3 JIG Files & Modded PUP

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#67 - BwE - November 17, 2010 // 4:41 am
BwE's Avatar
lol nice first post.


#66 - DarkLioN - November 17, 2010 // 4:01 am
DarkLioN's Avatar
This is the best news for last weeks! I can't wait to upgrade/downgrade/etc from my 3.42 to FW "Play what you want!"

I've passed GOW 3, Dante's Inferno and now playing Heavy Rain on my friends PS3 with ps3break. Sony! Be ready to get our loooong faat jailbroke-USBchains in your big fat behind full of it.. money MWHAHA-HAAA!

Hello from Russia to all sony haters-comrades here!

#65 - BwE - November 17, 2010 // 3:41 am
BwE's Avatar
from a few hours to a few days.. not 100% sure.

might not even happen entirely

be modest!

#64 - harveychan - November 17, 2010 // 3:36 am
harveychan's Avatar
You say soon. Soon as in a hour or days, week & or months?

#63 - BwE - November 17, 2010 // 3:34 am
BwE's Avatar
if i say too much it wont happen lol.

either way i'll be the one posting it on ps3news soon

#62 - harveychan - November 17, 2010 // 3:07 am
harveychan's Avatar
explain more please. Don't be a teese .If you know something then tell everyone please.

#61 - BwE - November 17, 2010 // 2:39 am
BwE's Avatar
secret super awesome news from the underground: firmware emulation though xmb.

something is getting leaked


sk group is a madman.

#60 - Siggy12 - November 17, 2010 // 1:45 am
Siggy12's Avatar
Quote Originally Posted by whinis View Post
I was thinking more like patching 3.50 to allow jailbreaking still as mis matching firmware parts seems like a big no-no.

yeah!! it can be a good solution and my hope for now until we are waiting the CUSTOM FIRMWARE !!

#59 - whinis - November 16, 2010 // 8:44 pm
whinis's Avatar
I was thinking more like patching 3.50 to allow jailbreaking still as mis matching firmware parts seems like a big no-no.

#58 - saar - November 16, 2010 // 7:55 pm
saar's Avatar
Ability to decrypt FW will boost development of hacks since it will be easier to study code and access all parts of any FW.
Since, any of previous FW should be able to upgrade to a newer FW, there is no way to change encryption or keys to block ability to decrypt newer FW. So, this is major breakthrough!

But downgrading just for downgrading is more or less useless since new games are requiring 3.50 FW. Thus, main point here is to be able to install at least lv0+lv1 from 3.50 while still keep lv2 from 3.41 if it's possible. In this case we will get new keys and encryption to play new games without using debug updates of games.

Not all new games have debug updates (like Black Ops), so if somebody think that is they can play Black Ops then they will able to play any newer games as well then you are wrong!

So, 3.50 hypervisor is the only way to get guaranties that you will able to play any game requiring 3.50.